variable "cluster_name" {
  type        = string
  description = "le nom du cluster à créer"
  default     = "default"
}

variable "node_count" {
  type        = number
  description = "nombre d'instances à créer dans le pool de nœuds de cluster"
  default     = 1

  validation {
    condition     = var.node_count > 0
    error_message = "Le nombre de nœuds doit être supérieur à 0"
  }
}

variable "node_type" {
  type        = string
  description = "le type de nœud à créer dans le pool de nœuds de la grappe"
  default     = "DEV1-M"
}

variable "access_key" {
  type        = string
  sensitive   = true
  description = "Id du key"
  default     = "SCW9R1R3SE3JGPJSWEP2"
}

variable "secret_key" {
  type        = string
  sensitive   = true
  description = "Id du secret"
  default     = "7c0502ba-5a74-4ff7-b936-b5552c6554ca"
}

variable "organization_id" {
  type        = string
  sensitive   = true
  description = "Id de l'organisation"
  default     = "1a2b3c4d-1a2b-1a2b-1a2b-1a2b3c4d5e6f"
}

variable "project_id" {
  type        = string
  sensitive   = true
  description = "Id  du projet associé"
  default     = "1a2b3c4d-1a2b-1a2b-1a2b-1a2b3c4d5e6f"
}

provider "scaleway" {
  access_key      = var.access_key
  secret_key      = var.secret_key
  organization_id = var.organization_id
  project_id      = var.project_id
}
